Bug 214127 - Sorry, your system does not support the XShape extension
Sorry, your system does not support the XShape extension
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-05 18:52 EST by jim
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:09:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (203.35 KB, image/png)
2006-11-05 18:52 EST, jim
no flags Details
exmod-screenshot (4.86 KB, image/png)
2006-11-07 04:41 EST, jim
no flags Details

  None (edit)
Description jim 2006-11-05 18:52:02 EST
Description of problem:
Sorry, your system does not support the XShape extension

Version-Release number of selected component (if applicable):
xorg-x11-apps-7.1-3.fc6

How reproducible:
always

Steps to Reproduce:
1.open terminal or application menu
2. run gmplayer or launch mplayer 
3. error message 
  
Actual results:
gmplayer
MPlayer 1.0rc1-4.1.1 (C) 2000-2006 MPlayer Team
CPU: Intel(R) Pentium(R) M processor 1500MHz (Family: 6, Model: 9, Stepping: 5)
CPUflags:  MMX: 1 MMX2: 1 3DNow: 0 3DNow2: 0 SSE: 1 SSE2: 1
Xlib:  extension "XFree86-VidModeExtension" missing on display ":0.0".
Can't open joystick device /dev/input/js0: No such file or directory
Can't init input joystick
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.
[ws] Sorry, your system does not support the XShape extension.
Xlib:  extension "XFree86-VidModeExtension" missing on display ":0.0".


Expected results:
no XShape Error 

Additional info: 
Intel D855GM  chipset 
lspci
00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to
I/O Controller (rev 02)
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor
to I/O Controller (rev 02)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor
to I/O Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated
Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics
Device (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge
(rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 03)
01:01.0 Network controller: Intel Corporation PRO/Wireless 2200BG Network
Connection (rev 05)
01:02.0 Ethernet controller: VIA Technologies, Inc. VT6105 [Rhine-III] (rev 8b)
01:03.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller
(rev 02)
Comment 1 jim 2006-11-05 18:52:17 EST
Created attachment 140426 [details]
screenshot
Comment 2 jim 2006-11-07 04:41:12 EST
Created attachment 140546 [details]
exmod-screenshot
Comment 3 jim 2006-11-07 04:45:48 EST
Comment on attachment 140546 [details]
exmod-screenshot

after adding adding Load " extmod"  to my xorg.conf  in the modules section
Comment 4 Adam Jackson 2006-11-20 15:56:08 EST
Please attach your xorg.conf.
Comment 5 Adam Jackson 2007-05-26 15:09:51 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.